<?php

namespace MetodikaTI\Http\Controllers\Back\Dashboard;

use Illuminate\Http\Request;
use MetodikaTI\Http\Controllers\Controller;
use MetodikaTI\Library\URI;
use MetodikaTI\Categorias;
use MetodikaTI\Incidentes;

class CategoriasController extends Controller
{
    public function index(){
        $categorias = Categorias::all();
        return view('back.categorias.index', array( "categorias" => $categorias, 'permitions' => URI::checkPermitions() ));;
    }

    public function create( Request $request ){        
        // $categorias = Categorias::all();
        return view('back.categorias.create');
    }

    public function store( Request $request ){        
        
        $response["status"] = false;
        
        $this->validate(
            $request, 
            [                   
                'nombre'   => 'required|min:3|max:50',                                            
            ],
            [                  
                'nombre.required'   => 'El nombre de la categoría es requerido',
                'nombre.min'   => 'El nombre de la categoría es muy pequeño',
                'nombre.max'   => 'El nombre de la categoría es muy grande',                                
            ]
        );

        $categoria = new Categorias();
        $categoria->nombre = $request->nombre;

        if( $categoria->save() ){
            $response["reload"] = true;
            $response["url"] = route("categoria_index");
            $response["status"]  = true;
            $response["message"] = "Los datos se guardaron correctamente."; 
        }

        return response()->json($response, 200);
        
    }


    public function edit( $id ){   
        $id_categoria = base64_decode( $id );
        $categoria = Categorias::find($id_categoria);
        return view('back.categorias.edit', array("categoria" => $categoria) );
    }

    public function update( Request $request, $id ){   
        
        $response["status"] = false;
        
        $this->validate(
            $request, 
            [                   
                'nombre'   => 'required|min:3|max:50',                                            
            ],
            [                  
                'nombre.required' => 'El nombre de la categoría es requerido',
                'nombre.min'   => 'El nombre de la categoría es muy pequeño',
                'nombre.max'   => 'El nombre de la categoría es muy grande',                                
            ]
        );

        $id_categoria = base64_decode( $id );
        $categoria    = Categorias::find($id_categoria);

        if( $categoria ){

            $categoria->nombre = $request->nombre;
            $categoria->save();

            $response["reload"] = true;            
            $response["url"] = route("categoria_index");
            $response["status"]  = true;
            $response["message"] = "Los datos se actualizaron correctamente."; 

        }
        
        return response()->json($response, 200);       

    }

    public function destroy( $id ){

        $response["status"] = false; 

        $id = base64_decode($id);

        $incidente = Incidentes::where("categoria", $id)->count();

        if( $incidente == 0 ){

            $elimina = Categorias::where("id",base64_decode($id))->delete();

            if( $elimina ){
                $response["reload"] = true;            
                $response["url"] = route('categoria_index');
                $response["status"] = true;
                $response["message"] = "La categoría se eliminó correctamente";
            }else{
                $response["message"] = "¡Uy! Algo salió mal al querer eliminar la categoría"; 
            }

        }else{
            $response["message"] = "No se puede eliminar la categoría, ya que existen incidentes asignados."; 
        }        

        return response()->json($response, 200);


    }
    
}
