<?php

namespace MetodikaTI\Http\Controllers\Back\Dashboard;

use Illuminate\Http\Request;
use MetodikaTI\Http\Controllers\Controller;
use MetodikaTI\Preguntas;
use MetodikaTI\Library\URI;
use Auth;

class PreguntasController extends Controller
{
    public function index(){
       
        $user = Auth::user();  
        $preguntas = Preguntas::where("id_institucion",$user->id_institucion)->get();
        return view('back.preguntas.index', array( "preguntas" => $preguntas, 'permitions' => URI::checkPermitions() ));
    }

    public function preguntas(){
        $user = Auth::user();  
        $preguntas = Preguntas::where("id_institucion",$user->id_institucion)->get();

        if( count( $preguntas ) != 2 ){
            Preguntas::where("id_institucion",$user->id_institucion)->delete();

            for( $contador = 1; $contador <= 2; $contador = $contador + 1 ){

                $preg = new Preguntas();
                $preg->id_institucion = $user->id_institucion;
                $preg->save();

            }


        }

        return view('back.preguntas.preguntas', array( "preguntas" => $preguntas, 'permitions' => URI::checkPermitions() ));
    }

    public function nueva_pregunta(){       
        return view('back.preguntas.create', array());
    }

    public function save_pregunta( Request $request ){

        $response["status"] = false;

        $this->validate(
            $request, 
            [   
                'mensaje' => 'required|max:80',
                'respuesta' => 'required|max:80',                                          
            ],
            [   
                'mensaje.required'   => 'El campo mensaje es requerido',
                'respuesta.required' => 'El campo respuesta es requerido',                 
            ]
        );

        $pregunta = new Preguntas();
        $user = Auth::user(); 

        $pregunta->mensaje   = $request->mensaje;
        $pregunta->respuesta = $request->respuesta;
        $pregunta->id_institucion = $user->id_institucion;

        if( $pregunta->save() ){
            $response["status"]  = true;
            $response["reload"] = true;
            $response["url"] = "nueva-pregunta";
            $response["message"] = "La pregunta se guardó correctamente.";
        }else{
            $response["mensaje"] = "¡Uy! Algo salió mal. No se pudo guardar la pregunta.";;
        }

        return response()->json($response, 200);

    }   

    public function edit_pregunta( $id ){
        $pregunta = Preguntas::find( base64_decode( $id ) );
        return view('back.preguntas.editar', array( "pregunta" => $pregunta, 'permitions' => URI::checkPermitions() ));
    }

    public function update_pregunta( Request $request, $id ){

        $response["status"] = false;

        $this->validate(
            $request, 
            [   
                'mensaje' => 'required|max:80',
                'respuesta' => 'required|max:80',                                          
            ],
            [   
                'mensaje.required'   => 'El campo mensaje es requerido',
                'respuesta.required' => 'El campo respuesta es requerido',                 
            ]
        );

        $pregunta = new Preguntas();        

        $pregunta->mensaje   = $request->mensaje;
        $pregunta->respuesta = $request->respuesta;
        // $pregunta->id_institucion = $user->id_institucion;

        if( $pregunta->save() ){
            $response["reload"] = true;            
            $response["url"] = route('preguntas');//$id;
            $response["status"]  = true;
            $response["message"] = "Los datos se actualizáron correctamente."; 
        }else{
            $response["status"]  = false;
            $response["message"] = "¡Uy! Algo salió mal. No se pudo actualizar la pregunta.";
        }

        return response()->json($response, 200);

    }

    public function delete_pregunta( $id ){

        $response["status"] = false;

        if( $id ){
            $pregunta = Preguntas::where("id", base64_decode( $id ) )->delete();

            if( $pregunta ){
                $response["status"] = true;
                $response["url"] = route('preguntas');
                $response["message"] = "La pregunta se elimino correctamente";
            }else{
                $response["status"] = false;
                $response["message"] = "¡Uy! Algo salió mal. No se encontró la pregunta.";
            }


        }else{
            $response["message"] = "¡Uy! Algo salió mal. No se pudo eliminar el teléfono.";
        }

        return response()->json($response, 200);

    }

    public function update_preguntas( Request $request ){

        $response["status"] = false;

        $this->validate(
            $request, 
            [   
                'id' => 'required',
                'pregunta' => 'required',
                // 'respuesta' => 'required|max:80',                                          
            ],
            [   
                'id.required'   => 'No se pudo actualizar.',
                'pregunta.required' => 'El tipo de pregunta es requerido.',                 
            ]
        );

        $pregunta = Preguntas::find( $request->id );        

        //mensaje 
        if( $request->pregunta == 1 ){
            $pregunta->mensaje = $request->pregunta_input;
            if( $pregunta->save() ){
                $response["status"] = true;
                if( $request->tipo == 1 ){
                    $response["mensaje"] = "La pregunta se guardó correctamente";
                }else{
                    $response["mensaje"] = "La pregunta se eliminó correctamente";
                }
            }
        }else{
        //repuesta
            $pregunta->respuesta = $request->pregunta_input;
            if( $pregunta->save() ){
                $response["status"] = true;
                if( $request->tipo == 1 ){
                    $response["mensaje"] = "La respuesta se guardó correctamente";
                }else{
                    $response["mensaje"] = "La respuesta se eliminó correctamente";
                }
            }
        }

        return response()->json($response, 200);

    }
}
