<?php

namespace MetodikaTI\Http\Middleware;

use Carbon\Carbon;
use Closure;
use MetodikaTI\AppUserTokenSession;

class VerifyAppToken
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request $request
     * @param  \Closure $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {

        $response = array();
        $response["message"] = "";

        $token = $request->header('AccessToken');

        if ($token != null && $token != "") {

            //Verificamos exista la sesion
            $app_user_token_sessions = AppUserTokenSession::where("access_token", $token)->has("get_user")->with("get_user")->first();

            if ($app_user_token_sessions != null) {

                //Verificamos que se encuentre disponible (no ha expirado)
                $now = Carbon::now();
                $expirated_at = Carbon::createFromFormat("Y-m-d H:i:s", $app_user_token_sessions->expirated_at);

                if ($expirated_at->greaterThan($now)) {

                    $request->request->set('user_object', $app_user_token_sessions->get_player);
                    $request->request->set('token', $token);

                } else {
                    $response["message"] = "Tu sesión ha expirado, inicia sesión nuevamente";
                    return response()->json($response, 401);
                }

            } else {
                $response["message"] = "Tu sesión no se encuentra registrada, inicia sesión nuevamente";
                return response()->json($response, 401);
            }

        } else {
            $response["message"] = "Tu sesión no se encuentra disponible, inicia sesión nuevamente";
            return response()->json($response, 401);
        }

        return $next($request);
    }
}
