<?php

namespace MetodikaTI\Http\Requests\Back\System\User;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Support\Facades\Auth;

class EditRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return (Auth::check() ? true : false);
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'name' => 'required|min:3',
            'apellido' => 'required|min:3|max:30',
            'telefono' => 'required|min:10',
            'email' => 'required|email|unique:users,email,'.base64_decode($this->route()->parameter('id')).',id',
            'perfil' => 'required',
            'password' => 'confirmed',
        ];
    }
}
