@extends('back.layout.dashboard')

@section('contentTitle', 'Responder incidente')

@section('topButton')
    <a href="{{ route('incidentes') }}" class="m-l-15">
        <button type="button" class="btn btn-info d-none d-lg-block">
            <i class="fas fa-chevron-left"></i> Regresar
        </button>
    </a>
@stop

@section('CSS')    
    
    <link rel="stylesheet" href="{{ asset('system/css/incidentes.css?v=2') }}">
    <link href="https://unpkg.com/bootstrap-switch/dist/css/bootstrap3/bootstrap-switch.css" rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />

    <style>
        .head{
            font-weight: bold;
            font-size: 14px;
            padding-top: 20px;
            padding-bottom: 10px;
        }

        .mensajes-nuevos{
            color: #428bca;
            margin-bottom: 10px;
        }

        .alert-info{
            margin: 20px;
        }

        .img-chat{
            cursor: pointer;
        }
        .imagen{
            margin-top: 12px;
        }

        .message{
            background-color: #F7F7F7 !important;
        }

        .bootstrap-switch-handle-on{
          font-size: 10px !important;
        }
        
        .bootstrap-switch-handle-off{
          font-size: 10px !important;
        }

        .select2-container--default .select2-selection--multiple .select2-selection__choice{
            /* padding: 2px 25px !important; */
            padding-left: 28px !important;
            background-color: #428bca !important;
            border: 1px solid #fff !important;            
        }

        .select2-container--default .select2-selection--multiple .select2-selection__choice__remove{
            border-right: 1px solid #fff;
        }

        .span:before{
            background-color: #428bca !important;
            border: 1px solid #fff !important;
        }

         
        .select2-container--default .select2-selection--multiple .select2-selection__choice__remove{
            color: #fff !important;
        } 

    </style>

@endsection

@section('content_dashboard')

    <div class="row">
        <div class="col-sm-12">
            <div class="card card-body">

                {{-- {{ Form::open(['route' => array( 'responder_incidente', base64_encode($incidente->id) ), 'class' => 'form-horizontal']) }} --}}

                    <div class="row">

                        <div class="col-lg-7">

                            <ul class="nav nav-tabs mb-3" role="tablist">
                                <li class="nav-item" role="presentation">
                                    <a href="#chat" class="nav-item nav-link active" aria-controls="chat" role="tab" data-toggle="tab">Chat</a>
                                </li>
                                <li class="nav-item" role="presentation">
                                    <a href="#notas" class="nav-item nav-link" aria-controls="notas" role="tab" data-toggle="tab" onclick="notasLista()">Notas</a></li>                                
                            </ul>                       

                            <div class="tab-content">

                                <div class="tab-pane active" id="chat" role="tabpanel" aria-labelledby="puntaje-tab">
                            
                                    <h4 class="text-center text-bold">Incidente {{ $incidente->id }}</h4>                           
                                    <br><br>
                                    <div class="row">

                                        <div class="col-lg-6">
                                            <h5> <strong> ID de usuario: {{ $incidente->id_user }} </strong></h5>
                                                                        
                                            <div class="col-sm-8 col-lg-8 switch-size-show">
                                        
                                                <p>
                                                    <input id="switch-size" type="checkbox" checked="checked" data-size="mini">
                                                </p>
                                            
                                            </div>

                                        </div>
                                        
                                        <div class="col-lg-6">
                                            <h5>
                                                <strong> Código: {{ $incidente->codigo }} <br> 
                                                    @if ($codigo)
                                                        {{ $codigo->name }}
                                                    @endif 
                                                </strong>
                                            </h5>
                                        </div>

                                    </div>

                                    <div class="row usuario-del" style="display: none;">
                                        <div class="col-lg-12 col-md-12">

                                            <div class="alert alert-danger">
                                                El usuario ha cambiado de código o cerró su sesión. 
                                            </div>

                                        </div>
                                    </div>

                                    <br>
                                    <h5><strong>Reporte:</strong> {{ $incidente->created_at }}</h5>                    
                      

                                    <div class="container">
                                        <div class="row clearfix">
                                            <div class="col-lg-12">
                                                <div class="card chat-app">
                                                    
                                                    <br>
                                                    <div class="chat-header clearfix">
                                                        <div class="row">
                                                            <div class="col-lg-6">
                                                                
                                                                <div class="chat-about">
                                                                    <h5 class="m-b-0">{{ $user->name }} {{ $user->lastname }}</h5>                                                                
                                                                </div>
                                                            </div>
                                                        
                                                        </div>
                                                    </div>
                                                    <div class="chat">
                                                        <div class="chat-history">
                                                            <ul class="m-b-0" id="chat-list">  
                                                                {{-- <li class="clearfix">
                                                                    
                                                                    <div class="message my-message mensaje-inicial"></div>
                                                                </li>                                                                 --}}
                                                            </ul>
                                                        </div>                                                
                                                    </div>
                                                    <div class="chat-message clearfix">
                                                        <br>
                                                        <div class="mensajes-nuevos" style="display: none;">
                                                            Tienes mensajes nuevos...
                                                        </div>
                                                        <div class="input-group mb-0">
                                                            <input type="text" id="send-input" class="form-control" placeholder="Introducir texto aquí...">                                    
                                                            <div class="input-group-prepend">                                                        
                                                                <span class="input-group-text" id="send-button">
                                                                    <i class="fa fa-send"></i> Enviar
                                                                </span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                
                                </div>

                                <div class="tab-pane" id="notas" role="tabpanel" aria-labelledby="puntaje-tab">

                                    <h4>Administración del incidente</h4>

                                    <div class="card">                                        
                                        <div class="card-body" >                                          

                                          <div class="row clearfix">
                                            <div class="col-lg-12">
                                                <div class="card chat-app">

                                                    <div class="chat">
                                                        <div class="chat-history">
                                                            <ul class="m-b-0" id="notas-mensajes"> 

                                                            </ul>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                          </div>
                                          <textarea name="" id="send-input-nota" cols="8" class="form-control" rows="3" placeholder="Ingresar nueva nota"></textarea>
                                        </div>
                                      </div>

                                </div>
                           
                            </div>
                            {{-- fin div content --}}

                        </div>

                        <div class="col-lg-5">
                            

                            {{ Form::open(['route' => array( 'update_incidente', base64_encode($incidente->id) ), 'class' => 'form-horizontal']) }}

                            <div class="form-group">
                                <label for="">Asignado a:</label>
                                <select class="form-control js-example-basic-multiple" name="asignado[]" multiple="multiple" id="">
                                    <option value=""></option>
                                    @foreach ($users as $user) 
                                        

                                        @foreach ($responsables as $responsable)

                                            @if ( $user->id == $responsable->id_user  )
                                                
                                                <option selected value="{{ $user->id }}">{{ $user->name }} {{ $user->lastname }}</option>

                                            @else
                                                
                                                <option value="{{ $user->id }}">{{ $user->name }} {{ $user->lastname }}</option>   

                                            @endif

                                        @endforeach                                        
                                    
                                        {{-- @if ( $user->id == $incidente->asignado  )
                                            <option selected value="{{ $user->id }}">{{ $user->name }} {{ $user->lastname }}</option>
                                        @else
                                            <option value="{{ $user->id }}">{{ $user->name }} {{ $user->lastname }}</option>   
                                        @endif --}}


                                        @if( count( $responsables ) == 0 )
                                            <option value="{{ $user->id }}">{{ $user->name }} {{ $user->lastname }}</option>   
                                        @endif

                                    @endforeach
                                </select>
                            </div>

                            <div class="form-group">
                                <label for="">Estatus:</label>
                                <select class="form-control" name="estatus" id="estatus">
                                    @foreach ($estatus as $item)
                                        @if ($item["num"] == $incidente->estatus)
                                            <option selected value="{{ $item["num"] }}">{{ $item["name"] }}</option>
                                        @else
                                            <option value="{{ $item["num"] }}">{{ $item["name"] }}</option>
                                        @endif
                                    @endforeach
                                   
                                </select>
                            </div>
                           
                            <div class="form-group">
                                <label for="">Categoría:</label>
                                <select class="form-control" value="{{ $incidente->categoria }}" name="categoria" id="categoria">
                                    <option value="0"></option>
                                    @foreach ($categorias as $key => $item)

                                        @if ($item["id"] == $incidente->categoria)
                                            <option selected value="{{ $item["id"] }}">{{ $item["nombre"] }}</option>
                                        @else
                                            <option value="{{ $item["id"] }}">{{ $item["nombre"] }}</option>
                                        @endif

                                    @endforeach
                                   
                                </select>
                            </div>

                            <div class="form-group">
                                <label for="">Acción tomada:</label>
                                <input type="text" value="{{ $incidente->accion_tomada }}" name="accion_tomada" class="form-control">                               
                            </div>

                            <div class="form-group">
                                <label for="">Severidad:</label>
                                <select class="form-control" name="severidad" id="">
                                    <option value=""></option>
                                    @foreach ($severidad as $item)
                                        @if ( $incidente->severidad == $item["num"] )

                                            <option selected value="{{ $item["num"] }}">{{ $item["name"] }}</option>

                                        @else
                                            <option value="{{ $item["num"] }}">{{ $item["name"] }}</option>
                                        @endif
                                    @endforeach
                                    {{-- <option value="1">Baja</option>
                                    <option value="2">Media</option>
                                    <option value="3">Alta</option> --}}
                                </select>
                            </div>
                            
                            
                            <button type="submit" class="btn btn-info">Guardar</button>
                            
                            {{ Form::close() }}
                            
                        </div>

                    </div>
 

                {{-- {{ Form::close() }} --}}

            </div>
        </div>
    </div>

    <div class="modal fade" tabindex="-1" role="dialog" id="imagen-modal">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Imagen</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            </div>
            <div class="modal-body">
              
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>              
            </div>
          </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div><!-- /.modal -->

    <div class="modal fade" tabindex="-1" role="dialog" id="video-modal">
        <div class="modal-dialog modal-lg" role="document">
          <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title title-video-modal"></h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            </div>
            <div class="modal-body">

                <div class="embed-responsive embed-responsive-16by9 z-depth-1-half">

                    <iframe class="embed-responsive-item" src=""
                        allowfullscreen></iframe>
                   </div>                   

                </div>
 
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>              
            </div>
          </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div><!-- /.modal -->


    <div class="modal fade" tabindex="-1" role="dialog" id="video-modal-qt">
        <div class="modal-dialog modal-lg" role="document">
          <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title title-video-modal"></h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            </div>
            <div class="modal-body video-body">               
 
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>              
            </div>
          </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div><!-- /.modal -->
    
@stop

@section('JS')
    {{ Html::script('system/js/form.js')  }}
    <script src="https://unpkg.com/bootstrap-switch@3.4.0/dist/js/bootstrap-switch.js"></script> 
    <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>   

    <script>
        var incidente = {!! json_encode( $incidente ) !!};
        var user      = {!! json_encode( $usuario ) !!};
        console.log( user );
        var users     = {!! json_encode( $users ) !!}; 
        var url       = '{!! url("/") !!}';
        var status = 0;
        var user_report = {!! json_encode( $usuario_reporto ) !!}; 
        var status_chat_notas = 0;
       
        // $(".mensaje-inicial").append( incidente.mensaje );
        
        $("#switch-size").bootstrapSwitch({                           
            size: "mini",
            animate: true,
            onColor: "primary",
            onText: "Activo",
            offText:"Inactivo",
            onSwitchChange: function (event, state) {
                event.preventDefault();
                if( status == 1 ){

                    activoInactivo(state);                    

                }


            }
        });  

        //valida usuario en caso de cambiar de codigo de insitucion o cerrar sesión
        if( user_report ){

            if( parseInt( user_report.status) == 1 ){
                $("#switch-size").bootstrapSwitch('state', 1);
            }else{
                $("#switch-size").bootstrapSwitch('state', 0);
            }

        }else{
            $("#send-input").prop("disabled", true);
            $(".switch-size-show").hide();
            $(".usuario-del").show();
            $(".input-group-prepend").hide();
        }


        function activoInactivo( status ){
            console.log( "activoInactivo", status, user_report );
            var st = 0;
            if( status ){
                st = 1;
            }

            if( user_report ){

                $.ajax({
                    url: '{{ route("update_user_app") }}',
                    type: "POST",
                    data: { status: st, id:user_report.id  },
                    error: function (e) {                    
                        // swal("Error!", "Error al cargar las Notas", "error");                      
                    },  
                    success: function (response) {
                        swal("Éxito!", response.message, "success");                                    
                    }                         
                });

            }

        }

        var heightChat = $(".chat").innerHeight() * 1000;

        setTimeout(() => {            
            $(".chat").animate({ scrollTop: heightChat }, "slow");
        }, 1000);


        $("#send-button").click(function(){
            sendChat();
        });

        setInterval(function(){
            chatTemp();
        }, 10000);

        $("#send-input").keypress(function(e) {
            if(e.which == 13) {         
                sendChat();
            }
        });

        $("#send-input-nota").keypress(function(e) {
            if(e.which == 13) {         
                sendNota();
            }
        }); 

        function notasLista(){
            loadNotas();
            setTimeout(() => {            
                $(".chat").animate({ scrollTop: heightChat }, "slow");
            }, 1000);
        } 
      

        function searchUser( id ){ 
            if( id ){
                return users.find(o => o.id === id);                                     
            }               
            return {
                name: "Sistema",
                lastname:"" 
            };
        }

        function loadNotas(){

            $("#notas-mensajes").empty();

            $.ajax({
                url: '{{ route("get_notas") }}',
                type: "POST",
                data: { id_incidente: incidente.id },
                error: function (e) {                    
                    swal("Nota!", "Error al cargar las Notas", "error");                      
                },  
                success: function (response) {
                    
                    if( response.notas.length > 0 ){
                        for( var nota of response.notas ){                            
                            $("#notas-mensajes").append('<li class="clearfix"><div class="message-data text-right"><span class="message-data-time"><strong style="color:#428bca;">'+nota.name+" "+nota.lastname+"</strong> "+ nota.created_at +'</span></div><div style="width: 100%;" class="message other-message">'+nota.mensaje+'</div></li>');                            
                        }
                    }
                
                }                         
            });

        }

        function viewMultimedia( multimedia, status ){

        }
        
        function sendNota(){
            var mensaje = $("#send-input-nota").val();

            if( mensaje.length == 0 ){
                swal("Mensaje!", "El campo esta vacío!", "error");                   
            }else{                
                $("#send-input-nota").val("");
                regNota( mensaje );                
            }
            
        }

        function regNota( mensaje ){
            
            $("#send-input-nota").prop("disabled",true);
            $.ajax({
                url: '{{ route("registro_nota") }}',
                type: "POST",
                data: { id_incidente: incidente.id, id_user:user.id, mensaje: mensaje },
                error: function (e) {
                    $("#send-input-nota").prop("disabled",false);
                    swal("Nota!", "Error al registrar Nota", "error");                      
                },  
                success: function (response) {
                    console.log("RESPONSE => ",response);
                    var myDate = new Date();
                    var date = myDate.getFullYear() +"-"+ myDate.getMonth()+"-"+myDate.getDay()+" "+myDate.getHours()+":"+myDate.getMinutes()+":"+myDate.getSeconds();                                   
                    $("#notas-mensajes").append('<li class="clearfix"><div class="message-data text-right"><span class="message-data-time"><strong style="color:#428bca;">'+user.name+" "+user.lastname+"</strong> "+ response.nota.created_at +'</span></div><div style="width: 100%;" class="message other-message">'+ mensaje +'</div></li>');                            
                    $("#send-input-nota").prop("disabled",false);
                    setTimeout(() => {            
                        $(".chat").animate({ scrollTop: heightChat }, "slow");
                    }, 500);
                    
                }                         
            });
        }

        function sendChat(){
            var mensaje = $("#send-input").val();

            if( mensaje.length == 0 ){
                swal("Mensaje!", "El campo esta vacío!", "error");                   
            }else{                
                $("#send-input").val("");
                regChat( mensaje );                
            }

            // var height = $(".chat").height();
            $(".chat").animate({ scrollTop: heightChat }, "slow");
        }   

        function regChat( mensaje ){
            $("#send-input").prop("disabled",true);
            $.ajax({
                url: '{{ route("registro_chat") }}',
                type: "POST",
                data: { id_incidente: incidente.id, user_type: 2, id_user:user.id, mensaje: mensaje },
                error: function (e) {
                    $("#send-input").prop("disabled",false);
                    swal("Chat!", "Error al registrar chat", "error");                      
                },  
                success: function (response) {
                    if( response.status == true ){

                        var myDate = new Date();
                        var date = myDate.getFullYear() +"-"+ myDate.getMonth()+"-"+myDate.getDay()+" "+myDate.getHours()+"-"+myDate.getMinutes()+"-"+myDate.getSeconds();               
                        $("#chat-list").append('<li class="clearfix"><div class="message-data text-right"><span class="message-data-time">'+ date +'</span></div><div class="message other-message float-right">'+mensaje+'</div></li>'); 
                        $("#send-input").prop("disabled",false);
                        $(".chat").animate({ scrollTop: heightChat }, "slow");
                    }else{
                        // swal("Chat!", response.mensaje, "error");   
                        swal({
                            // title: "Are you sure?",
                            text: response.mensaje,
                            icon: "error",
                            buttons: true,
                            dangerMode: true,
                            })
                            .then((willDelete) => {
                            if (willDelete) {
                                location.reload();                                
                            } else {
                                swal("Your imaginary file is safe!");
                            }
                        });
                    }
                }                         
            });
        }
        
        //carga inicial de chat

        function chatTemp(){
            //buscar usert type 1, el 2 es admin
            $.ajax({
                url: '{{ route("chat_refresh") }}',
                type: "POST",
                data: { id_incidente: incidente.id, user_type: 1 },
                error: function (e) {
                    console.log(e);
                },  
                success: function (response) {
                    console.log("INTERVAL ",response); 
                    
                    if( response.chat.length > 0 ){

                        var palabra = response.chat.length == 1 ? "un nuevo mensaje" : "nuevos mensajes";

                        $.toast({
                            heading: 'Nuevo mensaje',
                            text: 'Tienes '+ palabra,
                            icon: 'info',
                            position: 'bottom-right',
                            loader: true,        // Change it to false to disable loader
                            loaderBg: '#9EC600'  // To change the background
                        });
                        $(".mensajes-nuevos").show(200);
                    }

                    for( var chat of response.chat ){
                        //Solo refrescamos los de tipo 1 que es el usuario
                        if( chat.user_type == 1 ){
                            $("#chat-list").append('<li class="clearfix"><div class="message-data"><span class="message-data-time">'+chat.created_at+'</span></div><div class="message my-message">'+chat.mensaje+'</div></li>');

                        }                        
                    }              

                    var chatsNoVistos = arrayIdsChatsVistosLoad( response.chat );                
                
                    if( chatsNoVistos != false ){
                        chatVisto( chatsNoVistos );
                    }
                }                         
            });
        }

        function chatVisto( ids ){
            $.ajax({
                url: '{{ route("mensaje_visto") }}',
                type: "POST",
                data: { id_incidente: incidente.id, ids: ids },
                error: function (e) {
                    console.log(e);
                },  
                success: function (response) {                    
                    console.log("mensjas vistos => ",response);                                 
                }                         
            });
        }

        function arrayIdsChatsVistosLoad( ids ){

            var arrIds = [];            

            for( var id of ids ){                
                if( id.estatus == 0 && id.user_type == 1 ){
                    arrIds.push(id.id);
                }                
            }

            if( arrIds.length == 0 ){
                return false;
            }else{
                return arrIds;
            }

        }   

        $.ajax({
            url: '{{ route("chat") }}',
            type: "POST",
            data: { id_incidente: incidente.id, id_user: incidente.id_user },
            error: function (e) {

            },  
            success: function (response) {
                console.log(response);
                var chatsNoVistos = arrayIdsChatsVistosLoad( response.chat );                
                
                if( chatsNoVistos != false ){
                    chatVisto( chatsNoVistos );
                }

                if( incidente.multimedia ){
                    var multimedia = JSON.parse(incidente.multimedia);

                    console.log("multimedia",multimedia);

                    if( multimedia.length !== 0 ){
                        
                        for( var archivo of multimedia ){
                            console.log(archivo.multimedia);
                            if( archivo.multimedia.type == "image" ){                            
                                $("#chat-list").append('<li class="clearfix"><div class="message-data"><span class="message-data-time">'+incidente.created_at+'</span></div><div class="message my-message"><br><div class="col-lg-4 img-chat"><img onclick="viewImagen(this)" src="'+url+"/"+archivo.multimedia.url+'" class="img-responsive imagen img-thumbnail" alt="Responsive image"></div></div></li>');
                            }else if( archivo.multimedia.type == "audio" ){
                                $("#chat-list").append('<li class="clearfix"><div class="message-data"><span class="message-data-time">'+incidente.created_at+'</span></div><div class="message my-message"><br><div class="col-lg-4 img-chat"><audio controls class="embed-responsive-item"><source src="'+url+"/"+archivo.multimedia.url+'"></audio></div></div></li>');
                            }else if( archivo.multimedia.type == "video" ){
                                $("#chat-list").append('<li class="clearfix"><div class="message-data"><span class="message-data-time">'+incidente.created_at+'</span></div><div class="message my-message"><br><div class="col-lg-4 img-chat"><img width="400" onclick="viewVideo(this)" name_video="'+archivo.multimedia.url+'" url_video="'+url+"/"+archivo.multimedia.url+'" src="'+url+'/assets/images/video_2.png" class="img-responsive video img-thumbnail" alt="Responsive image"></div></div></li>');
                            }else{
                                $("#chat-list").append('<li class="clearfix"><div class="message-data"><span class="message-data-time">'+incidente.created_at+'</span></div><div class="message my-message"></div></li>');
                            }
                        }

                    }

                }

                for( var chat of response.chat ){
                    // console.log( "searchUser", searchUser( chat.id_user ) );
                    if( chat.user_type == 1 ){
                        if( chat.image ){                            
                            $("#chat-list").append('<li class="clearfix"><div class="message-data"><span class="message-data-time">'+chat.created_at+'</span></div><div class="message my-message">'+chat.mensaje+'<br><div class="col-lg-4 img-chat"><img onclick="viewImagen(this)" src="'+url+"/"+chat.image+'" class="img-responsive imagen img-thumbnail" alt="Responsive image"></div></div></li>');
                        }else if( chat.audio ){
                            $("#chat-list").append('<li class="clearfix"><div class="message-data"><span class="message-data-time">'+chat.created_at+'</span></div><div class="message my-message">'+chat.mensaje+'<br><div class="col-lg-4 img-chat"><audio controls class="embed-responsive-item"><source src="'+url+"/"+chat.audio+'"></audio></div></div></li>');
                        }else if( chat.video ){
                            $("#chat-list").append('<li class="clearfix"><div class="message-data"><span class="message-data-time">'+chat.created_at+'</span></div><div class="message my-message">'+chat.mensaje+'<br><div class="col-lg-4 img-chat"><img width="400" onclick="viewVideo(this)" name_video="'+archivo.multimedia.url+'" url_video="'+url+"/"+chat.video+'" src="'+url+'/assets/images/video_2.png" class="img-responsive video img-thumbnail" alt="Responsive image"></div></div></li>');
                        }else{
                            $("#chat-list").append('<li class="clearfix"><div class="message-data"><span class="message-data-time">'+chat.created_at+'</span></div><div class="message my-message">'+chat.mensaje+'</div></li>');
                        }
                    }else{
                        $("#chat-list").append('<li class="clearfix"><div class="message-data text-right"><span class="message-data-time"><strong style="color: #428bca;">'+searchUser( chat.id_user ).name +" "+searchUser( chat.id_user ).lastname+'</strong> '+ chat.created_at +'</span></div><div class="message other-message float-right">'+chat.mensaje+'</div></li>'); 
                    }
                }              
            }                         
        });

        $('.chat').on('scroll', function() {
            // console.log("Scroll", $(this).scrollTop() + $(this).innerHeight(), $(this)[0].scrollHeight);
            if($(this).scrollTop() + $(this).innerHeight() >= ( $(this)[0].scrollHeight - 20 ) ) {
                $(".mensajes-nuevos").hide(200);
            }
        });  
        
        function viewImagen( event ){            
            
            $("#imagen-modal div.modal-body").empty();
            $("#imagen-modal").modal();
            $("#imagen-modal div.modal-body").append('<img src="'+event.src+'" class="img-responsive" alt="imagen de chat">');

        }    
        

        function viewVideo( event ){
            
            var video  = $(event).attr("url_video");
            var nombre = $(event).attr("name_video");
            
            var ext = video.split('.');
            ext = ext[ext.length-1];

            console.log("tipo de archivo", ext);
            if( ext == "qt" ){ 
                $(".video-body").empty();               
                $("#video").show();
                $(".video-body").append('<video autoplay loop controls tabindex="0" id="video"><source src="'+video+'" type="video/quicktime" /><source src="'+video+'" type="video/webm;" /></video>');
                $("#video source").attr("src", video);            
                $("#video-modal-qt").modal();    
            }else{
                $(".title-video-modal").empty();
                $(".title-video-modal").append("Video");
                $('#video-modal iframe').attr("src", video);
                $("#video-modal").modal();         
            }

            
        }

        $('#video-modal').on('hide.bs.modal', function (e) {
            
            $('iframe').contents().find('video').each(function () 
            {
                this.currentTime = 0;
                this.pause();
            });
            
        });

        $('#video-modal-qt').on('hide.bs.modal', function (e) {
            
            $('div').contents().find('video').each(function () 
            {
                this.currentTime = 0;
                this.pause();
            });
            
        });

        status = 1;


        $(document).ready(function() {
            
            $('.js-example-basic-multiple').select2();
        });

    </script>

@stop