<?php $__env->startSection('contentTitle', 'Nueva institución'); ?>

<?php $__env->startSection('topButton'); ?>
    <a href="<?php echo e(route('instituciones')); ?>" class="m-l-15"><button type="button" class="btn btn-info d-none d-lg-block"><i class="fas fa-chevron-left"></i> Regresar</button></a>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('CSS'); ?>
    
    <style>
        .head{
            font-weight: bold;
            font-size: 14px;
            padding-top: 20px;
            padding-bottom: 10px;
        }
    </style>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('content_dashboard'); ?>

    <div class="row">
        <div class="col-sm-12">
            <div class="card card-body">

                <?php echo e(Form::open(['route' => 'create_institucion', 'class' => 'form-horizontal'])); ?>


                    <div class="row">

                        <div class="col-lg-6">
                            
                            <div class="form-group">
                                <label>Nombre de la institución</label>
                                <?php echo e(Form::text('nombre', null, ['class' => 'form-control', "placeholder" => "Nombre de la institución"])); ?>

                            </div>
    
                            <div class="form-group">
                                <label>Logo</label>
                                <input type="file" class="form-control" name="logo">
                                
                            </div>
    
                            <div class="form-group">
                                <label>Teléfono</label>
                                <input type="text" name="telefono" maxlength="10" placeholder="Teléfono" class="form-control">
                            </div>
    
                            <div class="form-group">
                                <label>Dirección</label>
                                <input type="text" name="direccion" maxlength="100" placeholder="Dirección" class="form-control">
                            </div>
    
                            <div class="form-group">
                                <label>Contacto informativo</label>
                                <input type="text" name="contacto_informativo" maxlength="100" placeholder="Contacto informativo" class="form-control">
                            </div>
    
                            <div class="form-group">
                                <label>Correo de contacto informativo</label>
                                <input type="email" name="email_contacto_info" maxlength="50" placeholder="Correo de contacto informativo" class="form-control">
                            </div>
    
                            <p class="head">Usuario master de plataforma</p>
    
                            <div class="form-group">
                                <label>Nombre</label>
                                <input type="text" name="nombre_master" maxlength="100" placeholder="Nombre" class="form-control">
                            </div>

                            <div class="form-group">
                                <label>Apellidos</label>
                                <input type="text" name="apellidos_master" maxlength="100" placeholder="Nombre" class="form-control">
                            </div>
    
                            <div class="form-group">
                                <label>Puesto</label>
                                <input type="text" name="puesto" maxlength="100" placeholder="Puesto" class="form-control">
                            </div>
    
                            <div class="form-group">
                                <label>Teléfono personal</label>
                                <input type="text" name="telefono_master" maxlength="100" placeholder="Teléfono personal" class="form-control">
                            </div>
    
                            <p class="head">Correo y contraseña serán sus accesos para ingresar a la plataforma</p>
                            
                            <div class="form-group">
                                <label>Correo</label>
                                <input type="text" name="email_master" maxlength="100" placeholder="Correo electrónico" class="form-control">
                            </div>
    
                            <div class="form-group">
                                <label>Contraseña</label>
                                <input type="password" name="pass" maxlength="100" placeholder="******" class="form-control">
                            </div>
    
                            <div class="form-group">
                                <label>Confirmar Contraseña</label>
                                <input type="password" name="confirm_pass" maxlength="100" placeholder="******" class="form-control">
                            </div>
    
                        </div>

                        <div class="col-lg-6 col-md-6">
                            
                            <div class="form-group">
                                <label>Estatus</label>
                                <select class="form-control" name="estatus">
                                    <option></option>
                                    <option value="1">Activo</option>
                                    <option value="0">Inactivo</option>
                                    <option value="2">Prueba</option>
                                </select>
                            </div>

                            <div class="form-group">
                                <label>Estado</label>
                                <select class="form-control" name="estado" id="estados">                                    

                                </select>
                            </div>

                            <div class="form-group">
                                <label>Municipio</label>
                                <select class="form-control" name="municipio" id="municipios">
                                    <option></option>

                                </select>
                            </div>

                            <div class="form-group">
                                <label>Sector</label>
                                <select class="form-control" name="sector" id="sector">
                                    <option></option>
                                    <option value="0">Público</option>
                                    <option value="1">Privado</option>
                                </select>
                            </div>
    
                        </div>

                    </div>
 
                    <button type="submit" class="btn btn-info">Guardar</button>

                <?php echo e(Form::close()); ?>


            </div>
        </div>
    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('JS'); ?>
    <?php echo e(Html::script('system/js/form.js')); ?>

    <script>

        loadEstados();

        function loadEstados(){

            $("#estados").empty();
            $("#estados").append( "<option></option>" );
            $.ajax({
                url: '<?php echo e(route("estados")); ?>',
                type: "POST",
                data: {},
                error: function (e) {
                    console.log("Error",e);
                    if( e ){

                    }
                },      
                success: function (response) {                    
                    for( var estado of response.estados ){
                        $("#estados").append( "<option value='"+estado.clave+"'>"+ estado.nombre +"</option>" );
                    }
                                
                }

            });   

        }
        

        $("#estados").change(function(){
            var valor = $( this ).val();            
            loadMunicipios(valor);

        });

        function loadMunicipios( id ){

            $("#municipios").empty();

            $.ajax({
                url: '<?php echo e(route("municipios")); ?>',
                type: "POST",
                data: { clave_estado: id },
                error: function (e) {
                    console.log("Error",e);
                    if( e ){

                    }
                },      
                success: function (response) {
                    console.log("municipios",response);

                    for( var municipio of response.municipios ){
                        $("#municipios").append( "<option value='"+municipio.id+"'>"+ municipio.nombre +"</option>" );
                    }
                                
                }

            });   
        }        
        

    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('back.layout.dashboard', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>