<?php $__env->startSection('contentTitle', 'Instituciones'); ?>

<?php $__env->startSection('topButton'); ?>
    <?php if( $permitions["create"] ): ?>
    
        <a href="<?php echo e(route('nueva_institucion')); ?>" class="m-l-15">
            <button type="button" class="btn btn-info d-none d-lg-block">
                <i class="fa fa-plus-circle"></i>Nueva institución
            </button>
        </a>
    <?php endif; ?>
<?php $__env->stopSection(); ?>



<?php $__env->startSection('content_dashboard'); ?>

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="table-responsive">
                        <table id="table_principal" class="display nowrap table table-hover table-striped table-bordered" cellspacing="0" width="100%">
                            <thead>
                            <tr>
                                <th>ID</th>
                                <th>Institución</th>
                                <th>Fecha de alta</th>
                                <th>Fecha fin</th>
                                <th>Estatus</th>
                                <th>Usuarios en app</th>
                                <th>Acciones</th>
                            </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $data_institucion; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($item["id"]); ?></td>
                                        <td><?php echo e($item["name"]); ?></td>
                                        <td><?php echo e($item["created_at"]); ?></td>
                                        <td></td>
                                        <td>                                            
                                            <?php if( $item["estatus"] == 0 ): ?>
                                                Inactivo
                                            <?php endif; ?>

                                            <?php if( $item["estatus"] == 1 ): ?>
                                                Activo
                                            <?php endif; ?>

                                            <?php if( $item["estatus"] == 2 ): ?>
                                                Prueba
                                            <?php endif; ?>
                                            
                                        </td>
                                        <td><?php echo e($item["num_users"]); ?></td>
                                        
                                        <td>
                                            <?php if( $permitions["edit"] ): ?>
                                                <a href="<?php echo e(route('editar_institucion', base64_encode( $item['id'] ))); ?>">
                                                    <button type="button" class="btn btn-sm waves-effect waves-light btn-success"><i class="fas fa-edit"></i> Editar</button>
                                                </a>
                                            <?php endif; ?>
                                            <?php if( $permitions["delete"] ): ?>
                                                <a href="<?php echo e(route('delete_institucion',  base64_encode($item['id']))); ?>" class="btn-delete">
                                                    <button type="button" class="btn btn-sm waves-effect waves-light btn-danger">
                                                        <i class="fas fa-minus-circle"></i> Eliminar
                                                    </button>
                                                </a>
                                            <?php endif; ?>
                                            
                                            <?php if( $item['estatus'] == 0 ): ?>
                                            
                                                <a href="javascript:0;" onclick="estatus(<?php echo e($item['id']); ?>, 1,'<?php echo e($item['name']); ?>')" class="activar-<?php echo e($item['id']); ?>">
                                                    <button type="button" class="btn btn-sm waves-effect waves-light btn-info">
                                                        <i class="fas fa-minus-circle"></i> Activar
                                                    </button>
                                                </a>
                                            <?php endif; ?>
                                            
                                            <?php if( $item['estatus'] == 1 ): ?>
                                            
                                                <a href="javascript:0;" onclick="estatus(<?php echo e($item['id']); ?>, 0, '<?php echo e($item['name']); ?>')" class="desactivar-<?php echo e($item['id']); ?>">
                                                    <button type="button" class="btn btn-sm waves-effect waves-light btn-warning">
                                                        <i class="fas fa-minus-circle"></i> Inactivo
                                                    </button>
                                                </a>
                                            
                                            <?php endif; ?>
                                            
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

<?php $__env->stopSection(); ?>


<?php $__env->startSection('JS'); ?>
    <?php echo e(Html::script('system/js/table.js')); ?>

    <?php echo e(Html::script('system/js/form.js')); ?>


    <script>
        function estatus( id, status, name ){
            //2 desactivar
            // 1 activar
            console.log(id, status);
            Swal.fire({
                title: '¿Estás seguro?',
                text: "Deseas cambiar el estatus de la institución: " + name,
                icon: 'error',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'SI',
                cancelButtonText:'NO'
                }).then((result) => {
                    
                    if (result.value) {
                        $.ajax({
                            url: '<?php echo e(route("activar_institucion")); ?>',
                            type: "POST",
                            data: { id: id, status:status },
                            error: function (e) {

                            },  
                            success: function (response) {

                                if( response.status ){
                                   
                                    Swal.fire(
                                        'Estatus!',
                                        response.message,
                                        'success'
                                    );

                                    setTimeout(function(){
                                        location.reload();
                                    }, 1000);

                                }else{
                                    Swal.fire(
                                        'Estatus!',
                                        response.message,
                                        'danger'
                                    );
                                }
                            }                         
                        });
                    }

                });
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('back.layout.dashboard', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>