@extends('back.layout.dashboard')

@section('contentTitle', 'Configurar códigos de acceso')

@section('topButton')   
    <a href="{{ route('codigos') }}" class="m-l-15"><button type="button" class="btn btn-info d-none d-lg-block"><i class="fas fa-chevron-left"></i> Regresar</button></a>
@stop


{{-- Main Content --}}
@section('content_dashboard')
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    {{-- <div class="table-responsive"> --}}
                        
                        {{ Form::open(['route' => 'add_code', 'class' => 'form-horizontal']) }}

                            <div class="row">

                                <div class="col-lg-4">                                    

                                    <div class="form-group">
                                        <label for="">Código</label>
                                        <input type="text" maxlength="20" id="codigo" name="codigo" class="form-control" placeholder="Ingresa un código alfanumérico">
                                        
                                        <div style="display: none; margin-top:10px;" id="disponible">
                                            <p class="text-info">Código disponible</p>
                                        </div>
                                        
                                    </div>


                                </div>

                                <div class="col-lg-4">

                                    <div class="form-group">
                                        <label for="">Asignación de código</label>
                                        <input type="text" maxlength="50" id="tag" name="name" class="form-control" placeholder="Primaria menor">
                                        {{-- <select class="form-control" name="" id="instituciones">
                                            <option value=""></option>
                                        </select> --}}
                                    </div>

                                </div>
                            </div>

                            <button type="submit" disabled id="guardar" class="btn btn-info">Guardar</button>

                        {{ Form::close() }}

                    {{-- </div> --}}
                </div>
            </div>
        </div>
    </div>
@stop

{{-- Page JS --}}
@section('JS')    
    {{ Html::script('system/js/form.js')  }}    

    <script>
        var typingTimer;                //timer identifier
        var doneTypingInterval = 1000;
        var codigo;      

        // loadInstituciones();

        $("#codigo").keyup(function(){
            var val = $(this).val();
            codigo = val;
            clearTimeout(typingTimer);
            if (val) {            
                typingTimer = setTimeout(function(){
                    // var valoresAceptados = /^[0-9]+$/;
                    // $("#disponible").hide(200);
                    // if (!codigo.match(valoresAceptados)){
                    //     swal("Error", "Ingresa solo números!", "error");
                    // }else if( codigo.length < 4 ){
                    //     swal("Error", "Ingresa un codigo de 4 digitos!", "error");
                    // }else{
                        
                        $.ajax({
                            url: '{{ route("search_code") }}',
                            type: "POST",
                            data: { code: codigo },
                            error: function (e) {
                                console.log("Error",e);
                                if( e ){

                                }
                            },      
                            success: function (response) {    
                                if( response.status ){
                                    $("#disponible").show(200);
                                    $("#guardar").prop("disabled", false);
                                }else{
                                    $("#disponible").hide(200);
                                    $("#guardar").prop("disabled", true);
                                    swal("Error", response.message, "error");
                                } 
                                console.log( "response ==> ",response );
                            }

                        });
                    // }
                }, 1000);
            }            

        });

        function loadInstituciones(){            
            $.ajax({
                url: '{{ route("instituciones_code") }}',
                type: "POST",
                data: { },
                error: function (e) {
                    console.log("Error",e);
                    if( e ){

                    }
                },      
                success: function (response) {    
                    console.log("instituciones", response);
                    if( response.status ){
                        if( response.data.length > 0 ){
                            for( var institucion of response.data  ){
                                $("#instituciones").append("<option value='"+institucion.id+"''>"+institucion.name+"</option>");
                            }
                        }else{
                            swal("Error", "No se encontrarón insituciones registradas!", "error");
                        }
                    }
                }

            });
        }

        // $("#instituciones").change(function(){
        //     var val = $(this).val();
        //     if( val ){
        //         $("#codigo").prop("disabled",false);
        //     }else{
        //         $("#codigo").prop("disabled",true);
        //     }
        // });

        // $("#guardar").click(function(){
        //     var codigo      = $("#codigo").val();
        //     var name = $("#tag").val();
            
        //     $.ajax({
        //         
        //         type: "POST",
        //         data: {name: name, codigo: codigo },
        //         error: function (jqXHR, status, error) {                   
        //             console.log( status, error );
                                            
        //             var content = "";
        //             for( var res in jqXHR.responseJSON.errors ){
        //                 content = content + jqXHR.responseJSON.errors[res][0] + "<br>";
        //                 console.log( jqXHR.responseJSON.errors[res] );
        //             }

        //             var form = document.createElement("div");
        //             form.innerHTML = content;
        //             console.log(form);
        //             swal({                       
        //                 text: "Error",
        //                 content: form,
        //                 icon: "error",                        
        //             });
                      
                    
        //         },      
        //         success: function (response) {  
        //             // console.log("RESPONSE => ", response);
        //            if( response.status ){
        //                 swal("¡Excelente!", response.message, "success");
        //                 setTimeout(function(){
        //                     location.reload();
        //                 },1000);
        //            }else{
        //                 swal("Error", "El código no se pudo guardar.!", "error");
        //            }
        //         }

        //     });

        // });
     
    </script>
@stop
