@extends('back.layout.dashboard')

@section('contentTitle', 'Nuevo comunicado')

@section('topButton')
    <a href="{{ route('comunicados') }}" class="m-l-15"><button type="button" class="btn btn-info d-none d-lg-block"><i class="fas fa-chevron-left"></i> Regresar</button></a>
@stop

@section('CSS')

    <link href="https://unpkg.com/bootstrap-switch/dist/css/bootstrap3/bootstrap-switch.css" rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />
    
    <style>
        .head{
            font-weight: bold;
            font-size: 14px;
            padding-top: 20px;
            padding-bottom: 10px;
        }
        .select2-container--default .select2-selection--multiple .select2-selection__choice{
            /* padding: 2px 25px !important; */
            padding-left: 28px !important;
            background-color: #428bca !important;
            border: 1px solid #fff !important;            
        }

        .select2-container--default .select2-selection--multiple .select2-selection__choice__remove{
            border-right: 1px solid #fff;
        }

        .span:before{
            background-color: #428bca !important;
            border: 1px solid #fff !important;
        }

         
        .select2-container--default .select2-selection--multiple .select2-selection__choice__remove{
            color: #fff !important;
        }       
        
    </style>

@endsection

@section('content_dashboard')

    <div class="row">
        <div class="col-sm-12">
            <div class="card card-body">

                {{ Form::open(['route' => 'save_comunicado', 'class' => 'form-horizontal']) }}

                    <div class="row">

                        <div class="col-lg-6">
                                                        
                            <div class="form-group">
                                <label>Título del comunicado</label>
                                <input type="text" name="titulo" maxlength="100" placeholder="Título del comunicado" class="form-control">
                            </div>
    
                            <div class="form-group">
                                <label>Descripción</label>
                                <input type="text" name="desc" maxlength="100" placeholder="Descripción" class="form-control">
                            </div>

                            <div class="form-group">
                                <label>Tipo</label>
                                <select class="form-control" name="tipo" name="" id="">
                                    <option value="0"></option>
                                    <option value="1">Informativo</option>
                                </select>
                            </div>

                            <div class="form-group">
                                <label>Texto</label>
                                <textarea class="form-control" name="texto" id="" cols="30" rows="10"></textarea>
                            </div>

                            <div class="form-group">
                                <label>Dirigido a</label>
                                <select class="form-control js-example-basic-multiple" name="dirigido[]" multiple="multiple" id="">                                    
                                    <option value="0">Todos</option>
                                    @foreach ($codigos as $item)
                                        <option value="{{ $item->id }}">{{ $item->codigo }}</option>
                                    @endforeach
                                </select>
                            </div>
                        
                        </div>           
                        
                        <div class="col-lg-6 col-md-6">
                            <br>
                            <div class="row">

                                <div class="form-group">

                                    <div class="checkbox">
                                        <label>
                                            <input type="checkbox" value="" id="add-url">
                                            Agregar video
                                        </label>
                                    </div>

                                </div>

                                <div class="col-md-12 col-lg-12" id="add-url-video" style="display: none">

                                    <ul class="nav nav-tabs mb-3" id="pills-tab" role="tablist">
                                        <li class="nav-item">                            
                                            <a class="nav-item nav-link active" id="notas-li" data-toggle="pill" href="#notas" role="tab" aria-controls="notas" aria-selected="false">Subir video</a>
                                        </li>                    
                                        <li class="nav-item">
                                            <a class="nav-item nav-link" id="#chat" data-toggle="pill" href="#chat" role="tab" aria-controls="chat" aria-selected="true">URL</a>
                                        </li>
                                    </ul>

                                    <div class="tab-content">

                                        <div class="tab-pane fade show" id="chat" role="tabpanel" aria-labelledby="puntaje-tab">
                                            
                                            <div class="form-control">
                                                <label for="">URL</label>
                                                <input type="text" name="url_youtube" class="form-control" placeholder="URL">
                                            </div>                                                                                        

                                        </div>

                                        <div class="tab-pane fade show active" id="notas" role="tabpanel" aria-labelledby="puntaje-tab">
                                            
                                            <input type="file" class="form-control" id="file-video" name="video" accept="video/*">

                                            <div class="row" id="preview-video" style="display: none;">
                                                <div class="container">
                                                    <br>
                                                    <button type="button" class="btn btn-success btn-sm" id="view-video-modal">
                                                        <i class="fa fa-eye" aria-hidden="true"></i>
                                                        Previsualizar
                                                    </button>
    
                                                </div>
                                            </div>

                                        </div>

                                    </div>

                                    <hr>

                                </div>
                               
                            </div>
                            <br>
                            <div class="row">
                                
                                <div class="form-group">

                                    <div class="checkbox">
                                        <label>
                                          <input type="checkbox" id="add-img">
                                          Añadir Imagen
                                        </label>
                                    </div>                                                                                                       

                                </div>                                                                                                                          

                            </div>

                            <div class="row" id="add-imagen-view" style="display: none;">
                                <div class="form-group">
                                    <input type="file" id="file-imagen" class="form-control" name="imagen" accept="image/png,image/gif,image/jpeg">
                                    
                                    <div class="row" id="preview-img" style="display: none;">
                                        <div class="container">
                                            <br>
                                            <button type="button" class="btn btn-success btn-sm" id="view-img-modal">
                                                <i class="fa fa-eye" aria-hidden="true"></i>
                                                Previsualizar
                                            </button>
    
                                        </div>
                                    </div>

                                </div>
                            </div>

                            <div class="row">
                                
                                <div class="form-group">

                                    <div class="checkbox">
                                        <label>
                                          <input type="checkbox" id="add-pdf">
                                          Añadir PDF
                                        </label>
                                    </div>                                                                                                       

                                </div>                                                                                                                          

                            </div>

                            <div class="row" id="add-pdf-view" style="display: none;">
                                <div class="form-group">
                                    <input type="file" id="file-pdf" class="form-control" name="pdf" accept="application/pdf">
                                    
                                    <div class="row" id="preview-pdf" style="display: none;">
                                        <div class="container">
                                            <br>
                                            <button type="button" class="btn btn-success btn-sm" id="view-pdf">
                                                <i class="fa fa-eye" aria-hidden="true"></i>
                                                Previsualizar
                                            </button>
    
                                        </div>
                                    </div>

                                </div>
                            </div>

                        </div>

                    </div>
 
                    <button type="submit" class="btn btn-info">Guardar</button>

                {{ Form::close() }}

            </div>
        </div>
    </div>

    <div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" id="video-modal">
        <div class="modal-dialog modal-lg" role="document">
          <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Video</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            </div>
            <div class="modal-body" id="body-video">
                
                <div class="embed-responsive embed-responsive-16by9">
                    <video autoplay loop class="embed-responsive-item">                        
                        <source src="" type="" type="video/mp4" id="video-preview-modal">
                    </video>
                </div>

            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
              {{-- <button type="button" class="btn btn-info" id="btn-add-vacaciones">Guardar cambios</button> --}}
            </div>
          </div>
        </div>
    </div>

    <div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" id="imagen-modal">
        <div class="modal-dialog modal-lg" role="document">
          <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Imagen</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            </div>
            <div class="modal-body" id="body-imagen">
                
                <img src="" alt="" class="img-responsive">

            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
              {{-- <button type="button" class="btn btn-info" id="btn-add-vacaciones">Guardar cambios</button> --}}
            </div>
          </div>
        </div>
    </div>

@stop

@section('JS')
    {{ Html::script('system/js/form.js')  }}  

    <script src="{{ asset("assets/switch-bootstrap/js/highlight.js") }}"></script>
    <script src="https://unpkg.com/bootstrap-switch@3.4.0/dist/js/bootstrap-switch.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>

    <script>

        var url_video = null;

        $("#add-url").change(function() {
            
            if($(this).is(":checked")) {
                $("#add-url-video").show(200);
                console.log($(this).is(":checked"));
            }else{
                $("#add-url-video").hide(200);
                console.log($(this).is(":checked"));
            }
        });

        $("#add-img").change(function(){
            if($(this).is(":checked")) {
                $("#add-imagen-view").show(200);                
            }else{
                $("#add-imagen-view").hide(200);                
            }
        }); 
        
        $("#add-pdf").change(function(){
            if($(this).is(":checked")) {
                $("#add-pdf-view").show(200);                
            }else{
                $("#add-pdf-view").hide(200);                
            }
        }); 

        var URL = window.URL || window.webkitURL;
        
        $("#file-video").change(function(){
            
            // url_video = $(this).attr("src");
            // var myFile = $('#file-video').prop('files');

            var file = this.files[0];
            var type = file.type;
            var videoNode = document.querySelector('video');
            var canPlay = videoNode.canPlayType(type)
            if (canPlay === '') canPlay = 'no'
            var message = 'Can play type "' + type + '": ' + canPlay

            // var isError = canPlay === 'no'
            // displayMessage(message, isError)

            // if (isError) {
            //     return
            // }

            var fileURL = URL.createObjectURL(file);
            videoNode.controls = true;
            url_video = videoNode.src = fileURL

            console.log("FILE",file, videoNode);


            // console.log("PROP", myFile);
            if( url_video ){
                $("#preview-video").show(200);
            }
            // var fileURL = URL.createObjectURL(url_video)
            // videoNode.src = fileURL;
            console.log( url_video, url_video );
        });

        $("#file-imagen").change(function(){
            readURL(this);            
        });

        function readURL(input) {
            if (input.files && input.files[0]) {
                var reader = new FileReader();
                reader.onload = function(e) {
                    // Asignamos el atributo src a la tag de imagen
                    console.log(e.target.result);
                    $('#body-imagen img').attr('src', e.target.result);
                    $("#preview-img").show(200);
                }
                reader.readAsDataURL(input.files[0]);
            }
        }

        $("#view-video-modal").click(function(){
            $("#video-modal").modal();
            $("#video-preview-modal").attr( "src", url_video );
        });

        $("#view-img-modal").click(function(){
            $("#imagen-modal").modal();
        });

        $(document).ready(function() {
            
            $('.js-example-basic-multiple').select2();
        });

    </script>
@stop