@extends('back.layout.dashboard')

@section('CSS')
    <!-- chartist CSS -->
    <link href="{{ asset('assets/node_modules/morrisjs/morris.css') }}" rel="stylesheet">
    <style>
        .bienvenida{
            font-size: 35px;
            margin-top: 100px;
        }
        img .logo-institucion{            
            margin-top: 50px;
        }
    </style>
@endsection

{{-- Page Title --}}
@section('pageTitle')
    Dashboard
@stop

{{-- Content Title --}}
@section('contentTitle')
    Dashboard
@stop

@section('content_dashboard')
    {{-- {{ $tipo_dashboard }} --}}

    @if ($tipo_dashboard == 1)

        <div class="row">
            <!-- Column -->
            <div class="col-lg-4 col-md-4">
                <div class="card">
                    <div class="card-body">
                        <div class="d-flex flex-row">
                            <div class="round align-self-center round-success">
                                <i class="fa fa-users" aria-hidden="true"></i>
                            </div>
                            <div class="m-l-10 align-self-center">
                                <h3 class="m-b-0">
                                    {{ $users_inst_num }}
                                </h3>
                                <h5 class="text-muted m-b-0">Usuarios de instituciones</h5></div>
                        </div>
                    </div>
                </div>
            </div>

            <!-- Column -->
            <div class="col-lg-4 col-md-4">
                <div class="card">
                    <div class="card-body">
                        <div class="d-flex flex-row">
                            <div class="round align-self-center round-info">
                                <i class="fa fa-graduation-cap" aria-hidden="true"></i>
                            </div>
                            <div class="m-l-10 align-self-center">
                                <h3 class="m-b-0">
                                    {{ $num_instituciones }}
                                </h3>
                                <h5 class="text-muted m-b-0">Instituciones</h5></div>
                        </div>
                    </div>
                </div>
            </div>

            <!-- Column -->
            <div class="col-lg-4 col-md-4">
                <div class="card">
                    <div class="card-body">
                        <div class="d-flex flex-row">
                            <div class="round align-self-center round-danger">
                                <i class="fa fa-users" aria-hidden="true"></i>
                            </div>
                            <div class="m-l-10 align-self-center">
                                <h3 class="m-b-0">
                                    {{ $users_num }}
                                </h3>
                                <h5 class="text-muted m-b-0">Todos los usuarios</h5></div>
                        </div>
                    </div>
                </div>
            </div>

        </div>

        <!-- /row -->
        <div class="row">
            <div class="col-sm-6">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title m-b-0">Últimos usuarios</h5>
                        <p class="text-muted">Últimos usuarios de instituciones </p>
                        <div class="table-responsive">
                            <table class="table">
                                <thead>
                                <tr>
                                    <th>Nombre</th>
                                    <th>Correo</th>
                                    {{-- <th>Teléfono</th> --}}
                                    <th>Fecha</th>
                                </tr>
                                </thead>
                                <tbody>

                                @foreach($users_inst as $item)
                                    <tr>                                
                                        <td>{{ $item["name"] }}</td>
                                        <td>{{ $item["email"] }}</td>
                                        {{-- <td>{{ $item["phone"] }}</td> --}}
                                        <td>{{ $item["created_at"] }}</td>                                       
                                    </tr>
                                @endforeach

                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-sm-6">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title m-b-0">Últimas Instituciones</h5>
                        <p class="text-muted">Últimas instituciones registrados</p>
                        <div class="table-responsive">
                            <table class="table">
                                <thead>
                                <tr>
                                    <th>Nombre</th>
                                    <th>Dirección</th>
                                    {{-- <th>Contacto</th> --}}
                                    <th>Fecha</th>
                                </tr>
                                </thead>
                                <tbody>

                                @foreach($ult_instituciones as $item)
                                    <tr>
                                        <td>{{ $item["name"]  }}</td>
                                        <td>{{ $item["direction"]  }}</td>
                                        {{-- <td>{{ $item["email_contact"]  }}</td> --}}
                                        <td>{{ $item["created_at"]  }}</td>
                                    </tr>
                                @endforeach

                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    @elseif( $tipo_dashboard == 2 )

        <div class="row">
            <!-- Column -->
            <div class="col-lg-4 col-md-4">
                <div class="card">
                    <div class="card-body">
                        <div class="d-flex flex-row">
                            <div class="round align-self-center round-success">
                                <i class="fa fa-users" aria-hidden="true"></i>
                            </div>
                            <div class="m-l-10 align-self-center">
                                <h3 class="m-b-0">
                                    {{ $app_users }}
                                </h3>
                                <h5 class="text-muted m-b-0">Usuarios de APP registrados</h5></div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Column -->
            <!-- Column -->
            <div class="col-lg-4 col-md-4">
                <div class="card">
                    <div class="card-body">
                        <div class="d-flex flex-row">
                            <div class="round align-self-center round-info">
                                <i class="fa fa-file-text-o" aria-hidden="true"></i>
                            </div>
                            <div class="m-l-10 align-self-center">
                                <h3 class="m-b-0">
                                    {{ $incidentes }}
                                </h3>
                                <h5 class="text-muted m-b-0">Incidentes</h5></div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Column -->
            <!-- Column -->
            <div class="col-lg-4 col-md-4">
                <div class="card">
                    <div class="card-body">
                        <div class="d-flex flex-row">
                            <div class="round align-self-center round-danger">
                                <i class="fa fa-newspaper-o" aria-hidden="true"></i>
                            </div>
                            <div class="m-l-10 align-self-center">
                                <h3 class="m-b-0">
                                    {{ $comunicados }}
                                </h3>
                                <h5 class="text-muted m-b-0">Comunicados</h5></div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Column -->
        </div>

        <!-- /row -->
        <div class="row">
            <div class="col-sm-6">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title m-b-0">Últimos incidentes</h5>
                        <p class="text-muted">Últimos incidentes registrados</p>
                        <div class="table-responsive">
                            <table class="table">
                                <thead>
                                <tr>
                                    <th>Código</th>
                                    <th>Estatus</th>
                                    <th>Categoría</th>
                                    <th>Fecha de reporte</th>
                                </tr>
                                </thead>
                                <tbody>

                                @foreach($ultimos_incidentes as $item)
                                    <tr>                                
                                        <td>{{ $item->codigo }}</td>
                                        <td>
                                            @if ( $item->estatus == 1 )
                                                Abierto
                                            @endif

                                            @if ( $item->estatus == 2 )
                                                Seguimiento
                                            @endif

                                            @if ($item->estatus == 3 )
                                                Cerrado
                                            @endif
                                        </td>
                                        <td>
                                            {{-- {{ $item->categoria  }} --}}
                                            
                                            @foreach ($categorias as $categoria)
                                                    
                                                @if ($item->categoria == $categoria["num"])
                                                    {{$categoria["name"]}}
                                                @endif

                                            @endforeach
                                        
                                        </td>
                                        <td>{{ $item->created_at  }}</td>
                                    </tr>
                                @endforeach

                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-sm-6">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title m-b-0">Últimos códigos</h5>
                        <p class="text-muted">Últimos códigos registrados</p>
                        <div class="table-responsive">
                            <table class="table">
                                <thead>
                                <tr>
                                    <th>Código</th>
                                    <th>Asignación</th>
                                    <th>Usuarios</th>
                                    <th>Fecha</th>
                                </tr>
                                </thead>
                                <tbody>

                                @foreach($codigos_users as $item)
                                    <tr>
                                        <td>{{ $item["codigo"]  }}</td>
                                        <td>{{ $item["name"] }}</td>
                                        <td>{{ $item["usuarios"]  }}</td>
                                        <td>{{ $item["creado"]  }}</td>
                                    </tr>
                                @endforeach

                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    @else

        <div class="container">
            <p class="text-center bienvenida">¡Bienvenido a la plataforma Detente!</p>
            
            @if ( $logo_insititucion->logo )
                <img style="display:block;margin:auto;" class="logo-institucion" width="300px" src="{{ url( $logo_insititucion->logo ) }}" alt="">               
            @endif

        </div>

        
    @endif    
    <!-- /.row -->
    
@endsection

@section('JS')
{{--    <script src="{{ asset('assets/node_modules/morrisjs/morris.min.js') }}"></script>--}}
{{--    <script src="{{ asset('assets/node_modules/jquery-sparkline/jquery.sparkline.min.js') }}"></script>--}}
    <!-- Chart JS -->
{{--    <script src="{{ url('template/dist/js/dashboard1.js') }}"></script>--}}
@endsection
